Page MenuHomePhabricator

Notify when installing MediaWiki without HTTP external connector
Closed, InvalidPublic

Description

As it turns out, InstantCommons feature relies on curl extension or fopen wrapper . If user have completed the installation without HTTP external connector, user will be very confused, why InstantCommons does not work.

We can check the environment at the same time check PHP is loaded with curl extension or enabled allow_url_fopen option. If missing HTTP external connector, installer prompts missing HTTP external connector but does not affect the installation. And users cannot enable InstantCommons later in the installation step.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 10 2018, 9:08 PM
Reedy renamed this task from [Installer] Tip user when InstantCommons enabling without curl extension to Notify when installing InstantCommons without curl extension.Jan 10 2018, 9:09 PM
Reedy added a project: MediaWiki-Installer.
RazeSoldier renamed this task from Notify when installing InstantCommons without curl extension to [Installer] Tip user when InstantCommons enabling without curl extension.Jan 10 2018, 9:17 PM
RazeSoldier renamed this task from [Installer] Tip user when InstantCommons enabling without curl extension to Notify when installing InstantCommons without curl extension.
RazeSoldier updated the task description. (Show Details)
RazeSoldier updated the task description. (Show Details)Jan 10 2018, 9:22 PM
RazeSoldier moved this task from General to In progress on the MediaWiki-Installer board.

Change 403657 had a related patch set uploaded (by 星耀晨曦; owner: 星耀晨曦):
[mediawiki/core@master] Add an item that checks if curl extension exists

https://gerrit.wikimedia.org/r/403657

brion added a subscriber: brion.Jan 23 2018, 10:45 PM

What's the exact failure that happens without php curl extension? As noted on the code review, InstantCommons *should* work fine with the fopen-based MWHttpRequest backend as well as with curl.

If I disable curl extension and enable InstantCommons, a picture that exists in WikimediaCommon but does not exist in the local wiki will only show a red link.

Can you try enabling debug logging and or inserting a new image to see if any error messages get logged? It may be failing to connect for some reason; most likely is SSL certificate issues.

See https://www.mediawiki.org/wiki/Manual:How_to_debug#Setting_up_a_debug_log_file

Error log:

DomainException from line 205 of /w/includes/http/MWHttpRequest.php: MWHttpRequest::factory: allow_url_fopen needs to be enabled for pure PHP http requests to work. If possible, curl should be used instead. See http://php.net/curl.

So, InstantCommons feature relies on allow_url_fopen or curl extension? Or we can check these two at the same time.

brion added a comment.Jan 25 2018, 3:30 AM

Yeah, one or the other will be required -- normally allow_url_fopen is on by default as far as I know.

This will affect other things than InstantCommons -- anything that requires fetching external data over HTTP or HTTPS, such as the spam blacklist extension for instance, would likely be similarly affected.

RazeSoldier updated the task description. (Show Details)Jan 25 2018, 5:45 AM
RazeSoldier renamed this task from Notify when installing InstantCommons without curl extension to Notify when installing MediaWiki without HTTP external connector.Jan 28 2018, 12:57 PM
RazeSoldier updated the task description. (Show Details)Feb 7 2018, 6:02 PM
Aklapper raised the priority of this task from Lowest to Needs Triage.

Base on T137926, MW core no longer uses curl, the motive for this ticket note disappears.

RazeSoldier closed this task as Invalid.Sep 20 2019, 3:55 PM

Change 403657 abandoned by 星耀晨曦:
Notify when installing MediaWiki without external connector

Reason:
Base on T137926, MW core no longer uses curl, the motive for this ticket note disappears.

https://gerrit.wikimedia.org/r/403657

Reedy added a subscriber: Reedy.Sep 20 2019, 3:57 PM

Base on T137926, MW core no longer uses curl, the motive for this ticket note disappears.

Well, not completely true. MW can still use it, but it doesn't have to